.custom-read-more-block .read-more-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 32px auto 72px;
    padding: 10px 18px;
    width: 100%;
    max-width: 325px;
    border: 2px solid #5075D3;
    border-radius: 32px;
    font-size: 18px;
    font-weight: 400;
    line-height: 22px;
    color: #5075D3;
    text-align: center;
    cursor: pointer;
    transition: 0.3s background-color, 0.3s color;
}

.custom-read-more-block .read-more-btn:hover {
    background-color: #5075D3;
    color: #FFFFFF;
}

.custom-read-more-block .read-more-content {
    position: relative;
    max-height: 300px;
    transition: 0.3s max-height;
    z-index: 1;
    overflow: hidden;
}

.custom-read-more-block .read-more-content::after {
    content: '';
    position: absolute;
    display: flex;
    left: 0;
    width: 100%;
    bottom: 0;
    height: 100px;
    background: linear-gradient(180deg, #FFFFFF00 0%, #e1e1e3 95%);
    z-index: 2;
    transition: 0.3s opacity;
    pointer-events: none;
}

.custom-read-more-block.expanding .read-more-content {
    max-height: var(--full-height, unset);
}

.custom-read-more-block.expanding .read-more-content::after {
    opacity: 0;
}

.custom-read-more-block.expanded .read-more-content {
    max-height: unset !important;
    overflow: unset;
}

/****** FOR ADMIN PANEL *******/
.custom-container-block-editor {
    border: 1px solid #000000;
}
